include:
  # Docs: https://gitlab.com/txlab/ci-templates/
  - project: txlab/ci-templates
    file: docker-buildkit.gitlab-ci.yml
  - template: "Workflows/Branch-Pipelines.gitlab-ci.yml" # https://docs.gitlab.com/ee/ci/yaml/workflow.html#workflowrules-templates

variables:
  GIT_SUBMODULE_STRATEGY: recursive

build:
  extends: .docker_buildkit
  variables:
    DOCKERFILE_DIR: upstream/
    DOCKER_CONTEXT: upstream/
    # PUSH_IMAGES_MAIN: 'name=$CI_REGISTRY_IMAGE:$CI_COMMIT_SHA,$CI_REGISTRY_IMAGE:latest,docker.io/tennox/nginx-static:$CI_COMMIT_SHA,docker.io/tennox/nginx-static:latest'
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule"
      variables:
        BUILDKIT_CACHE_ARGS: "--export-cache type=registry,mode=max,ref=$DOCKER_CACHE_IMAGE" # disable import-cache to rebuild with latest packages
    - !reference [.docker_buildkit, rules]
  before_script:
    - !reference [.docker_buildkit, before_script]
    - UPSTREAM_SHA=$(git rev-parse HEAD:upstream)
    # - UPSTREAM_TAG=$(cd upstream && git tag --points-at HEAD)
    - "echo Upstream: $UPSTREAM_SHA $UPSTREAM_TAG"
    - PUSH_IMAGES="name=$CI_REGISTRY_IMAGE:$UPSTREAM_SHA,$CI_REGISTRY_IMAGE:latest"
    # - '[[ -n "$UPSTREAM_TAG" ]] && PUSH_IMAGES="$PUSH_IMAGES,$CI_REGISTRY_IMAGE:$UPSTREAM_TAG,$CI_REGISTRY_IMAGE:stable"'
